From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 5 May 2020 15:02:52 +0200
Subject: arm64: dts: imx8mq-librem5: add camera placeholders

---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 12 ++++++++++++
 1 file changed, 12 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index 10ac332..889d157 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -1197,6 +1197,18 @@ &i2c4 {
 	pinctrl-0 = <&pinctrl_i2c4>;
 	status = "okay";
 
+	/* Dongwoon DW9714A - Voice Coil Motor for 13MP Camera */
+	vcm@c {
+		reg = <0x0c>;
+		status = "disabled";
+	};
+
+	/* Samsung S5K3L6XX - 13MP Rear-Facing Camera */
+	camera2@10 {
+		reg = <0x10>;
+		status = "disabled";
+	};
+
 	bat: fuel-gauge@36 {
 		compatible = "maxim,max17055";
 		reg = <0x36>;
